Subject: Re: Garbage in .git directories???

From: Dmitry Torokhov <[email-masked]>
Date: Sun, 18 Sep 2005 23:33:57 -0500

On Sunday 18 September 2005 12:54, Dmitry Torokhov wrote:
> On Sunday 18 September 2005 12:10, Linus Torvalds wrote:
> > 
> > On Sat, 17 Sep 2005, Dmitry Torokhov wrote:
> > > 
> > > git clone rsync://rsync.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git work
> > > 
> > > and it seems there is some garbage in .git directory:
> > >
> > > drwxrwxr-x    2 dtor dtor 4096 Sep 17 21:17 V?Cl?���?E ???#V?C??ſl??E#V?C??;H
> > >                                             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^ 
> > > The similar garbage(?) shows when I clone git's repository.
> > > 
> > > Is this expected?
> > 
> > Absolutely not. And I don't see it when I try. What filesystem are you 
> > running this on? Looks like something did a "mkdir()" with an 
> > uninitialized pointer, but I don't see how that would happen.
> > 
> > 		Linus
> > 
> 
> It is ext3 on 2.6.12-rc6.
> 

Couple more points - just using rsync to get the data (without using git)
does not not produce that wierd directory, only got clone does.

Btw, after doing a pull from git repository git cone now produces the
following:

sent 403 bytes  received 2164 bytes  570.44 bytes/sec
total size is 533  speedup is 0.21
rsync: link_stat "/scm/git/git.git/objects/info/alternates" (in pub) failed: No such file or directory (2)
rsync error: some files could not be transferred (code 23) at main.c(1173)

-- 
Dmitry